Subject: [IPP] IPP Agenda - 3-5pm US Eastern 16 June 2014

From: Ira McDonald <[email-masked]>
Date: Sun, 15 Jun 2014 19:29:38 -0400

Our next IPP WG call will be Monday 16 June 12-2pm US Pacific / 3-5pm US
Eastern

Call-in toll-free number (US/Canada): 1-866-469-3239
Call-in toll number (US/Canada): 1-650-429-3300 (Primary)
Call-in toll number (US/Canada): 1-408-856-9570 (Backup)

Attendee Access Code: *******#
Attendee ID Code: # (empty)

NOTE:  Please DO NOT USE the audio bridge number listed by WebEx
- instead use the regular PWG conference bridge listed above!

-------------------------------------------------------
Meeting information
-------------------------------------------------------
Topic: IPP/Cloud WG
Date: Every Monday, from Monday, September 23, 2013 to no end date
Time: 3:00 pm, Eastern Daylight Time (New York, GMT-04:00)
Meeting Number: 682 763 393
Meeting Password: Printing123
-------------------------------------------------------
To join the online meeting (Now from mobile devices!)
-------------------------------------------------------
1. Go to
https://ieee-isto.webex.com/ieee-isto/j.php?ED=152699422&UID=1183762537&PW=NYTM5NTNhNjUy&RT=MiMxMQ%3D%3D
2. If requested, enter your name and email address.
3. If a password is required, enter the meeting password: Printing123
4. Click "Join".
To view in other time zones or languages, please click the link:
https://ieee-isto.webex.com/ieee-isto/j.php?ED=152699422&UID=1183762537&PW=NYTM5NTNhNjUy&ORT=MiMxMQ%3D%3D
-------------------------------------------------------
For assistance
-------------------------------------------------------
1. Go to https://ieee-isto.webex.com/ieee-isto/mc
2. On the left navigation bar, click "Support".
-------------------------------------------------------

Agenda:
(1) PWG IP Policy and Minute Taker
 - Mike as minute taker?

(2) Approve IPP minutes from previous meetings
 - ftp://ftp.pwg.org/pub/pwg/ipp/minutes/ippv2-concall-minutes-20140602.pdf

(3) Status of various IPP documents (Ira/Mike)
* LDAP Printer Schema (Ira)
- ftp://ftp.pwg.org/pub/pwg/ipp
/wd/draft-mcdonald-ldap-printer-schema-07-20140313.pdf
-- IPP WG reviewed on 31 March
-- ready for IETF Last Call

* IETF IPP over HTTPS Binding and 'ipps' URI Scheme (Ira)
- <http://goog_2065877433>ftp.pwg.org/pub/pwg/ipp
/wd/draft-mcdonald-ipps-uri-scheme-12-20140420.pdf
-- completed edits from IPP WG review on 14 April
-- ready for IETF Last Call

* IPP Self-Certification (Mike)
- ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippeveselfcert10-20140509-rev.pdf
 -- Prototype draft - waiting for prototype reports
-- reviewed at PWG F2F in May
-- schedule - July-ish for beta tools, spec update, and web site,
   definitely by August F2F - PWG Last Call Q1 2015

* IPP Implementor's Guide v2.0 (Smith)
- ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippig20-20140513-rev.pdf
-- Prototoype draft - waiting for prototype reports
-- review of section 5.8 at IPP WG on 2 June - needs edits in minutes
-- continue review at section 5.8.1

(4) Status of IPP Scan Service (Pete Zehler)
- <ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippeveselfcert10-20130731-rev.pdf>
ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippscan10-20140509-rev.pdf
- http://www.pwg.org/archives/ipp/2014/018039.html
 -- Stable draft - completed IPP WG last call
-- reviewed at PWG F2F in May
-- needs edits in minutes - needs destination access operation attribute

(5) IPP Shared Infrastructure Extensions (Mike)
- ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippsix10-20140226-rev.pdf
-- Prototoype draft - waiting for prototype reports
-- NOT reviewed at PWG F2F in May
-- schedule - PWG Last Call Q3 2014

(6) IPP Finishings/2.0 and SM JDFMAP (Rick, Ira, Mike)
- ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings20-20140509-rev.pdf
-- Prototoype draft - waiting for prototype reports
-- Ira/Mike still need to cross-check w/ Finisher MIB (RFC 3805)
-- reviewed at PWG F2F in May
-- schedule - PWG Last Call Q3 2014
- ftp://ftp.pwg.org/pub/pwg/sm3/wd/wd-smjdfmap10-20140604-rev.pdf
-- Interim draft - waiting for input from Rainer, SM WG, and IPP WG
-- Mike sent proposed "finishings-col" mappings for JDFMAP to SM3 WG list
-- EEK! - SM3 mailing and email archives are invisible on PWG web server

(7) "job-password-encryption-supported in PWG 5100.11 (Smith Kennedy)
- http://www.pwg.org/archives/ipp/2014/018028.html
-- current keyword 'sha' is ambiguous
   (does this mean 'sha1' or what???)
-- SHA-0 withdrawn in 1996 by US NIST
-- SHA-1 deprecated in 2010 and withdrawn in 2013 by US NIST
-- SHA-2 has no known practical attacks at present
-- SHA-3 (Keccak) selected in 2012 by US NIST
-- Daniel suggested many keyword including hash output lengths
-- Mike suggested looking at IANA registries (e.g., TLS algorithms
registry)
-- Ira doesn't like embedded hash output length in these keywords
-- consensus?

(8) "printer-output-tray" in PWG 5100.13 (Jeremy Leber)
- http://www.pwg.org/archives/ipp/2014/018037.html
- http://www.pwg.org/archives/ipp/2014/018025.html
-- ABNF error for "output-stacking-order" and "output-page-delivery"
    (should both move from "output-opt" to "output-req"production)
-- Ira sent link to DMTF CIM ranking of Printer MIB objects

(9) New HTTP/1.1 RFCs published (Mike)
- http://www.pwg.org/archives/ipp/2014/018023.html
-- All PWG Editors - begin to use these references immediately

(10) Next steps
 - IPP WG on Monday 30 June 2014 - IPP Implementor's Guide 2.0
- IPP WG on Monday 14 July 2014 - TBD topics

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music / High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto: [email-masked]
Winter  579 Park Place  Saline, MI  48176  734-944-0094
Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Mon, 16 Jun 2014 01:11:18 +0000

Hi Ira,

Just a reminder - I am on time off at the moment and won’t be able to attend tomorrow’s meeting.  😊

Smith

/**
    Smith Kennedy
    ATB Wireless Architect - PPS
    Hewlett-Packard Co.
*/

On 2014-06-15, at 7:29 PM, Ira McDonald <[email-masked]> wrote:

> Our next IPP WG call will be Monday 16 June 12-2pm US Pacific / 3-5pm US Eastern
> 
> 1. Go to https://ieee-isto.webex.com/ieee-isto/j.php?ED=152699422&UID=1183762537&PW=NYTM5NTNhNjUy&RT=MiMxMQ%3D%3D
> - ftp://ftp.pwg.org/pub/pwg/ipp/wd/draft-mcdonald-ldap-printer-schema-07-20140313.pdf
> - ftp.pwg.org/pub/pwg/ipp/wd/draft-mcdonald-ipps-uri-scheme-12-20140420.pdf
> - ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippscan10-20140509-rev.pdf
> -- Mike suggested looking at IANA registries (e.g., TLS algorithms registry)

---

From: "Paul Tykodi" <[email-masked]>
Date: Sun, 15 Jun 2014 21:30:36 -0400

Hi Ira,

Regarding point #6 – sm3 mailing list archive is here:

http://www.pwg.org/pipermail/sm3/

Is your complaint that the link is not visible on http://www.pwg.org because we haven’t yet updated the MFD page to be the sm3 page?

Thanks.

Best Regards,

/Paul

--

Paul Tykodi
Principal Consultant
TCS - Tykodi Consulting Services LLC

Tel/Fax: 603-343-1820
Mobile:  603-866-0712
E-mail:  [email-masked]
WWW:   <http://www.tykodi.com/> http://www.tykodi.com

This e-mail reply and any attachments are confidential and may be privileged.

If you are not the intended recipient, please notify Tykodi Consulting Services LLC 

immediately by replying to this message and destroying all copies of this message 

and any attachments. Thank you

From: [email-masked] [mailto:[email-masked]] On Behalf Of Ira McDonald
Sent: Sunday, June 15, 2014 7:30 PM
To: [email-masked]; Ira McDonald
Subject: [IPP] IPP Agenda - 3-5pm US Eastern 16 June 2014

1. Go to https://ieee-isto.webex.com/ieee-isto/j.php?ED=152699422 <https://ieee-isto.webex.com/ieee-isto/j.php?ED=152699422&UID=1183762537&PW=NYTM5NTNhNjUy&RT=MiMxMQ%3D%3D> &UID=1183762537&PW=NYTM5NTNhNjUy&RT=MiMxMQ%3D%3D
https://ieee-isto.webex.com/ieee-isto/j.php?ED=152699422 <https://ieee-isto.webex.com/ieee-isto/j.php?ED=152699422&UID=1183762537&PW=NYTM5NTNhNjUy&ORT=MiMxMQ%3D%3D> &UID=1183762537&PW=NYTM5NTNhNjUy&ORT=MiMxMQ%3D%3D

Agenda:

- Mike as minute taker?

-- consensus?

(10) Next steps

Cheers,

- Ira

 <http://sites.google.com/site/blueroofmusic> http://sites.google.com/site/blueroofmusic
 <http://sites.google.com/site/highnorthinc> http://sites.google.com/site/highnorthinc

---

From: Ira McDonald <[email-masked]>
Date: Mon, 16 Jun 2014 10:48:22 -0400

Hi Paul,

>From the PWG home page, it's impossible to navigate to the SM3 mailing list
archives.

So I couldn't get a JDFMAP link (Mike's finishing comments) to put in the
IPP WG.

This is a serious problem for SM WG engaging other standards bodies.

Cheers,
- Ira

On Sun, Jun 15, 2014 at 9:30 PM, Paul Tykodi <[email-masked]> wrote:

> Is your complaint that the link is not visible on http://www.pwg.org
> because we haven’t yet updated the MFD page to be the sm3 page?
>
>
>
> Thanks.
>
>
>
> Best Regards,
>
>
>
> /Paul
>
> --
>
> Paul Tykodi
> Principal Consultant
> WWW:  http://www.tykodi.com
>
>
>
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf Of *Ira
> McDonald
> *Sent:* Sunday, June 15, 2014 7:30 PM
> *To:* [email-masked]; Ira McDonald
> *Subject:* [IPP] IPP Agenda - 3-5pm US Eastern 16 June 2014
>
>
>
> 1.. Go to
> -
> ftp://ftp.pwg.org/pub/pwg/ipp/wd/draft-mcdonald-ldap-printer-schema-07-20140313.pdf
>
> -
> ftp.pwg.org/pub/pwg/ipp/wd/draft-mcdonald-ipps-uri-scheme-12-20140420.pdf
>
> <ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippeveselfcert10-20140509-rev..pdf>
>

---

From: Ira McDonald <[email-masked]>
Date: Mon, 16 Jun 2014 11:11:40 -0400

Hi Smith,

Enjoy your holiday.

Mike scheduled IPP Imp Guide for 30 June in the minutes from 2 June.

Cheers,
- Ira

On Sun, Jun 15, 2014 at 9:11 PM, Kennedy, Smith (Wireless Architect) <
[email-masked]> wrote:

> ftp://ftp.pwg.org/pub/pwg/ipp/minutes/ippv2-concall-minutes-20140602.pdf
>
> - <http://goog_2065877433/>ftp.pwg.org/pub/pwg/ipp